#ifndef LOGGING_CONST_H
#define LOGGING_CONST_H
#include <string>

namespace rgma
{
    namespace log4cpp
    {
        class Constants
        {

            public:

                virtual ~Constants(){};

                /**
                 * The name of the option which will can be used
                 * from the log4cxx property file to set the job name
                 */
                const static std::string JOBNAME;

                /**
                 * Table name used to publish logging events.
                 */
                const static std::string TABLE_NAME;
                /**
                 * What will be filtered
                 */
                const static std::string FILTER;
                /**
                 * Termination interval for the producer
                 */
                const static std::string TERMINATION_INTERVAL;
                /**
                 * Retention period for history queries
                 */
                const static std::string HISTORY_RETENTION_PERIOD;
                /**
                 * Retention period for latest queries
                 */
                const static std::string LATEST_RETENTION_PERIOD;

                /**
                 * R-GMA VARCHAR columns are currently restricted to 255 chars.
                 */
                const static unsigned int MAX_VARCHAR_SIZE = 255;

        };
    }
}
#endif
