#ifndef RGMA_MILLIS_FORMAT_H
#define RGMA_MILLIS_FORMAT_H

#include "log4cxx/helpers/dateformat.h"
#include "log4cxx/helpers/timezone.h"
using log4cxx::helpers::DateFormat;
using log4cxx::helpers::TimeZonePtr;

namespace rgma
{
    namespace log4cpp
    {
        /**
         * Formats a date in the format <b>\%Y-\%m-\%d</b> for example
         *"1999-11-27 ".
         *
         *<p>Refer to the
         *<a href=http://www.cl.cam.ac.uk/~mgk25/iso-time.html>summary of the
         *International Standard Date and Time Notation</a> for more
         *information on this format.
         */
        class RGMAMillisFormat : public DateFormat
        {
            public:
                RGMAMillisFormat()
                    : DateFormat(_T("%Q")) {}
        };
    }
}
#endif
