#ifndef RGMA_TIME_FORMAT_H
#define RGMA_TIME_FORMAT_H

#include "log4cxx/helpers/dateformat.h"
#include "log4cxx/helpers/timezone.h"

using log4cxx::helpers::DateFormat;
using log4cxx::helpers::TimeZonePtr;

namespace rgma
{
    namespace log4cpp
    {
        /**
         *Formats a Time in the format <b>\%H:\%M:\%S</b> for example
         *"15:49:37".
         *
         *<p>Refer to the
         *<a href=http://www.cl.cam.ac.uk/~mgk25/iso-time.html>summary of the
         *International Standard Date and Time Notation</a> for more
         *information on this format.
         */
        class RGMATimeFormat : public DateFormat
        {
            public:
                RGMATimeFormat()
                    : DateFormat(_T("%H:%M:%S")) {}
        };
    }
}
#endif
